---
title: MediaStreamTrackEvent()
slug: Web/API/MediaStreamTrackEvent/MediaStreamTrackEvent
tags:
  - API
  - Constructor
  - Media Streams API
  - MediaStreamTrackEvent
  - Reference
---
<p>{{APIRef("Media Streams API")}}</p>

<p>The <code><strong>MediaStreamTrackEvent()</strong></code> constructor returns a newly created {{domxref("MediaStreamTrackEvent")}} object, which represents an event announcing that a {{domxref("MediaStreamTrack")}} has been added to or removed from a {{domxref("MediaStream")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>trackEvent</em> = new MediaStreamTrackEvent(<em>type</em>, {track: <em>aMediaStreamTrack</em>});
</pre>

<h3 id="Parameters">Parameters</h3>

<p><em>The <code>MediaStreamTrackEvent()</code> constructor also inherits arguments from {{domxref("Event.Event", "Event()")}}.</em></p>

<dl>
 <dt><code>type</code></dt>
 <dd>A {{domxref("DOMString")}} representing the name of the type of the <code>MediaStreamTrackEvent</code>. It is case-sensitive and can be <code>"{{event("addtrack")}}"</code> or <code>"{{event("removetrack")}}"</code>.</dd>
 <dt><code>track</code></dt>
 <dd>A {{domxref("MediaStreamTrack")}} object representing the track which was added to or removed from the stream.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("MediaStreamTrackEvent")}}, initialized based on the provided options.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{ SpecName('Media Capture', '#dom-mediastreamtrackevent', 'MediaStreamTrackEvent()') }}</td>
   <td>{{Spec2('Media Capture')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStreamTrackEvent.MediaStreamTrackEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("addtrack")}} and {{event("removetrack")}} events</li>
 <li>{{domxref("MediaStreamTrack")}}</li>
 <li>{{domxref("MediaStream")}}</li>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API">Media Streams API</a></li>
</ul>
